.proc state_setup_splash
  lda #$00
  sta PPUCTRL_2000
  sta PPUMASK_2001
  
  jsr clear_pal
  
  jsr start_fade_in

  lda #<pal_splash
  sta pal_ptr
  lda #>pal_splash
  sta pal_ptr+1

; load the nam

  lda #<splashnam
  sta temp_ptr
  lda #>splashnam
  sta temp_ptr+1

  ldx #$21
  stx PPUADDR_2006 ; PPU $2000
  ldx #$e9
  stx PPUADDR_2006
  ldy #$00
loop:
  lda (temp_ptr), y
  sta PPUDATA_2007
  iny
  cpy #15
  bne loop

; attributes
  ldx #$23
  stx PPUADDR_2006 ; PPU $2000
  ldx #$dC
  stx PPUADDR_2006
  lda #$55
  sta PPUDATA_2007
  lda #$55
  sta PPUDATA_2007

  ; ALWAYS do this after writing to VRAM
  lda #%10010000
  sta PPUCTRL_2000
  lda #%00011110
  sta PPUMASK_2001

  lda #$e0 ; do this to wait a little before fading in the title screen (it starts fading at $00)
  sta gametimerlow
 
; change game state to splash loop
  lda #$02
  sta gamestate
  
  ;lda #$02
  ;jsr FamiToneMusicPlay

  rts

splashnam:
  .byte $05, $0c, $17, $00, $0c, $11, $0e, $00, $16, $17, $18, $07, $0c, $12, $16

.endproc