update_p2:
  lda #$00
  sta p2_state
  lda p2_x
  sec
  sbc scroll_x_spd
  sta p2_x

  lda p2_dir
  bne p2_right_done

  ; go right
  lda p2_x
  clc
  adc #$01
  sta p2_x
  cmp #$ef
  bcc p2_right_done

  lda #$01 ; change direction
  sta p2_dir
p2_right_done:

  lda p2_dir
  beq p2_left_done

  ; go left
  lda p2_x
  sec
  sbc #$01
  sta p2_x
  cmp #$04
  bcs p2_left_done

  lda #$00 ; change direction
  sta p2_dir

p2_left_done:
  
  lda p2_x
  sta spr_x
  lda p2_y
  sta spr_y

  lda p2_state
  clc
  adc p2_dir
  asl
  tax

  lda p2_metasprites,x
  sta animation_ptr
  lda p2_metasprites+1,x
  sta animation_ptr+1

  jmp buffer_metasprites