  lda PPUSTATUS_2002
  lda #$20
  sta PPUADDR_2006 ; PPU $2000
  lda #$00
  sta PPUADDR_2006
  ldx #$00

load_nametables:
  lda #<nam_level1
  sta temp_ptr
  lda #>nam_level1
  sta temp_ptr+1
  
copypage:
  ldy #0
  
@loop: ; a cheap local label that stops being found when a standard symbol is executed
  lda (temp_ptr), y
  sta PPUDATA_2007
  iny
  bne @loop

  lda temp_ptr+1
  clc
  adc #1
  sta temp_ptr+1
  cmp #(>nam_level1+4)
  bne copypage
  
  ; attributes here

  lda PPUSTATUS_2002
  lda #$23
  sta PPUADDR_2006
  lda #$C0
  sta PPUADDR_2006
  ldx #$00

load_attributes:
  lda attributes,x
  sta PPUDATA_2007
  inx
  cpx #$40
  bne load_attributes

  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  lda #$24
  sta PPUADDR_2006 ; PPU $2000
  lda #$00
  sta PPUADDR_2006
  ldx #$00

load_nametables2:
  lda #<nam_level2
  sta temp_ptr
  lda #>nam_level2
  sta temp_ptr+1
  
copypage2:
  ldy #0
  
@loop2: ; a cheap local label that stops being found when a standard symbol is executed
  lda (temp_ptr), y
  sta PPUDATA_2007
  iny
  bne @loop2

  lda temp_ptr+1
  clc
  adc #1
  sta temp_ptr+1
  cmp #(>nam_level2+4)
  bne copypage2
  
  ; attributes here

  lda PPUSTATUS_2002
  lda #$27
  sta PPUADDR_2006
  lda #$C0
  sta PPUADDR_2006
  ldx #$00

load_attributes2:
  lda attributes2,x
  sta PPUDATA_2007
  inx
  cpx #$40
  bne load_attributes2
  
  lda #%00011110
  sta ppumask_soft

  lda #00
  sta PPUSCROLL_2005  
  sta PPUSCROLL_2005