.proc nmi_handler
	
  ; turn off rendering
  lda #$00
  sta PPUMASK_2001

  ; transfer sprites from buffer
  lda #$00
  sta OAMADDR_2003  ; sprite RAM low byte
  lda #$02          ; sprite RAM high byte and starts transfer
  sta OAMDMA_4014

  ;transfer palettes
  jsr transfer_pal

  lda #%10010000
  ora scroll_lowbit
  sta PPUCTRL_2000      ; turn on NMI
  lda ppumask_soft
  sta PPUMASK_2001      ; enables rendering
  
  ; apply scroll
  lda scroll_x
  sta PPUSCROLL_2005
  lda scroll_y
  sta PPUSCROLL_2005  
  
  jsr FamiToneUpdate

  lda #$00
  sta framedone
  
  rti                   ; finish nmi, go back to where the pc was
.endproc