state_setup_game:
  ldx #$00
  stx PPUCTRL_2000
  stx PPUMASK_2001

  lda #$00
  sta gametimerlow
  sta gametimerhigh
  
  jsr clear_pal
  jsr start_fade_in

  lda #<pal_level1
  sta pal_ptr
  lda #>pal_level1
  sta pal_ptr+1

; load the nam
  lda #<nam_level1
  sta temp_ptr
  lda #>nam_level1
  sta temp_ptr+1
  ldy #$20
  jsr load_nam

; load the nam
  lda #<nam_level1_part2
  sta temp_ptr
  lda #>nam_level1_part2
  sta temp_ptr+1
  ldy #$24
  jsr load_nam

  lda #$01
  sta chr_bank
  sta chr_bank_now
  jsr bank_switch
  
  ; aLWAYS do this after writing to VRAM
  lda #%10010000
  sta PPUCTRL_2000
  lda #%00011110
  sta PPUMASK_2001

  lda #$A0
  sta p2_y
  sta girl_y
  sta cougar_y
  
  lda #$A8
  sta waterfall_x
  lda #$d8
  sta girl_x
  lda #$78
  sta cougar_x
 
; change game state to title loop
  lda #$14
  sta gamestate
  
  jsr FamiToneMusicStop
  lda #$00
  jsr FamiToneMusicPlay

  rts