  ; before calling this, set these variables:
  ; spr_y
  ; animation_ptr
  ; spr_x
  ; spr_dir
  ; spr_attribute

  ; this function is reserved for the main character so he doesn't flicker like other sprites

.proc buffer_priority

  ldx #$00
  ldy #$00

  lda spr_dir
  bne draw_right

left:
  lda #$40
  sta spr_flip_mask
  jmp draw_left

draw_right:
  lda (animation_ptr),y  ; tile 1
  cmp #$FF
  beq out                 ; END OF METASPRITE

  ; see amount of frames
  lda (animation_ptr),y


  ; read frame
  clc
  adc spr_y
  sta PROTECTEDOAM,x               ; store y
  iny
  
  lda (animation_ptr),y  
  sta PROTECTEDOAM+1,x             ; store tile
  iny
  
  lda (animation_ptr),y
  sta PROTECTEDOAM+2,x             ; store attribute
  iny
  
  lda (animation_ptr),y
  clc
  adc spr_x
  sta PROTECTEDOAM+3,x             ; store x
  iny

  inx
  inx
  inx
  inx
  jmp draw_right   
  
draw_left:
  lda (animation_ptr),y  ; tile 1
  cmp #$FF
  beq out                 ; END OF METASPRITE

  ; see amount of frames
  lda (animation_ptr),y


  ; read frame
  clc
  adc spr_y
  sta PROTECTEDOAM,x               ; store y
  iny
  
  lda (animation_ptr),y  
  sta PROTECTEDOAM+1,x             ; store tile
  iny
  
  lda (animation_ptr),y
  sta PROTECTEDOAM+2,x             ; store attribute
  iny
  
  lda (animation_ptr),y
  clc
  adc spr_x
  sta PROTECTEDOAM+3,x             ; store x
  iny

  inx
  inx
  inx
  inx
  jmp draw_left

out:
  lda #$FF
outloop:
  cpx #$20
  bcs getout
  inx
  sta PROTECTEDOAM,x
  jmp outloop

getout:
  rts
.endproc